Ubuntu

lucid desktop i386 -> precise upgrade failed: Resolver failed to calculate the upgrade

Reported by Jean-Baptiste Lallement on 2011-12-01
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
High
Canonical Foundations Team
Precise
High
Canonical Foundations Team

Bug Description

Automated Upgrade testing: Lucid -> Precise i386

do-release-upgrade -d failed with
Could not calculate the upgrade An unresolvable problem occurred while calculating the upgrade:
E:Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: update-manager 1:0.154.5
ProcVersionSignature: Ubuntu 3.2.0-1.3-generic 3.2.0-rc2
Uname: Linux 3.2.0-1-generic x86_64
ApportVersion: 1.90-0ubuntu1
Architecture: amd64
Date: Thu Dec 1 10:58:05 2011
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.utf8
 SHELL=/bin/bash
SourcePackage: update-manager
UpgradeStatus: No upgrade log present (probably fresh install)

Jean-Baptiste Lallement (jibel) wrote :
summary: - lucid -> precise upgrade failed: Resolver failed to calculate the
- upgrade
+ lucid desktop i386 -> precise upgrade failed: Resolver failed to
+ calculate the upgrade
Changed in update-manager (Ubuntu Precise):
importance: Undecided → High
assignee: nobody → Canonical Foundations Team (canonical-foundations)
tags: added: lucid2precise rls-mgr-p-tracking
removed: amd64
tags: added: iso-testing
Michael Vogt (mvo) wrote :

It appears the apt from oneiric (that will be the base for the upgrade) can calculate the upgrade. The upgades does not use the backport yet unfrotuantely.

On Thu, Dec 01, 2011 at 05:22:49PM -0000, Michael Vogt wrote:
> It appears the apt from oneiric (that will be the base for the upgrade)
> can calculate the upgrade. The upgades does not use the backport yet
> unfrotuantely.

So there's no action needed here because this falls out of the backport work
already being done?

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in update-manager (Ubuntu):
status: New → Confirmed
tags: added: dist-upgrade
clint (clint-xenir) wrote :

The failure seems only to occur on desktop machines. Servers without X installed do not seem to be affected.

Michael Vogt (mvo) wrote :

@Steve: Yes, once the release-upgader-{apt,python-apt} packages in lucid-proposed get accepted and the new release upgrader is uploaded, this should start working.

Jean-Baptiste Lallement (jibel) wrote :

this is fixed now. closing.

Changed in update-manager (Ubuntu Precise):
status: Confirmed → Fix Released
Jeff Jessie (menephous) wrote :

um...i am still experiencing this issue and I do not see any fix???

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/898551

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers